pvaneynd: (Default)
For the last few months I've been running the latest git versions of xf86-video-ati and xf86-video-radeonhd on my $WORK laptop with a Mobility Radeon X1300.

And actually I like them more then fglrx: they crash less and I actually have xrandr support so giving presentations and using the second screen no longer involves reloads of X.

A remaining problem was that they would sig11 when I enable DRI. Yesterday I went investigating and found out that the ati driver was crashing in the line:

Bool RADEONDRIGetVersion(ScrnInfoPtr pScrn)
{
...
    /* Low level DRM open */
    fd = drmOpen(RADEON_DRIVER_NAME, busId);


After giving some message that it cannot open /dev/dri/card0. Some research showed that this was because I forgot to load the kernel module. /me hits table.

modprobe radeon and DRI works. Obviously it doesn't do 3D because the mesa library is too old. Installing mesa 7.2 from experimental and I see:

 $ glxinfo | grep direct
direct rendering: Yes


And all the whoos effects... well ... whoos.

Now off to Ana's blog to find out how I can get KDE 4.1 in unstable....

Profile

pvaneynd: (Default)
pvaneynd

March 2017

S M T W T F S
   1234
567891011
12131415 161718
19202122232425
262728293031 

Syndicate

RSS Atom

Most Popular Tags

Page Summary

Style Credit

Expand Cut Tags

No cut tags
Page generated Mar. 25th, 2017 03:59 am
Powered by Dreamwidth Studios